fop 1.1

## org.apache.fop.complexscripts.fonts
Class GlyphMappingTable.MappedMappingTable

    java.lang.Object
      org.apache.fop.complexscripts.fonts.GlyphMappingTable
          org.apache.fop.complexscripts.fonts.GlyphMappingTable.MappedMappingTable

Enclosing class:
  GlyphMappingTable

    protected static class GlyphMappingTable.MappedMappingTable

extends GlyphMappingTable

mapped mapping table base class

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.complexscripts.fonts.GlyphMappingTable
`GlyphMappingTable.EmptyMappingTable, GlyphMappingTable.MappedMappingTable, GlyphMappingTable.MappingRange, GlyphMappingTable.RangeMappingTable`

Field Summary

Fields inherited from class org.apache.fop.complexscripts.fonts.GlyphMappingTable
`GLYPH_MAPPING_TYPE_EMPTY, GLYPH_MAPPING_TYPE_MAPPED, GLYPH_MAPPING_TYPE_RANGE`

Constructor Summary
`GlyphMappingTable.MappedMappingTable()` Construct mapped mapping table.

Method Summary
`int` `getType()` Obtain mapping type.

Methods inherited from class org.apache.fop.complexscripts.fonts.GlyphMappingTable
`getEntries, getMappedIndex, getMappingSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlyphMappingTable.MappedMappingTable

    public GlyphMappingTable.MappedMappingTable()

  Construct mapped mapping table.

Method Detail

### getType

    public int getType()

  Obtain mapping type.

  Overrides:
    `getType` in class `GlyphMappingTable`
  Returns:
    mapping format type

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.